%define aname meteo_qt
Name:           meteo-qt
Version:        0.9.4
Release:        %mkrel 1
Group:          Graphical desktop/Other
Summary:        Weather status system tray application
License:        GPLv3
URL:            https://github.com/dglent/meteo-qt
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-qt5-devel
BuildRequires:  python3
BuildRequires:  qttools5
BuildRequires:  imagemagick
Requires:       python3-qt5
Requires:       python3-sip
Requires:       python3-urllib3
Requires:       python3-lxml
Recommends:     qttranslations5

%description
A Qt system tray application for the weather status

%prep
%setup -q

%build
%__python3 setup.py build

%install
%__python3 ./setup.py install --skip-build --root=%{buildroot}
%__mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps
convert -scale 16x16 meteo_qt/images/meteo-qt.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/meteo-qt.png
convert -scale 32x32 meteo_qt/images/meteo-qt.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/meteo-qt.png

%files
%doc TODO CHANGELOG README.md
%{_datadir}/%{aname}/images/
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{python3_sitelib}/%{aname}-%{version}-py%py3ver.egg-info
%{python3_sitelib}/%{aname}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/meteo-qt.png
%{_datadir}/meteo_qt/translations/


%changelog
* Sun Jul 03 2016 dglent <dglent> 0.9.4-1.mga5
+ Revision: 1038409
- Version 0.9.4
- Use a single OpenWeatherMap key per user
- Version 0.8.8
- Fixed crash at fresh installation
- Version 0.8.2
- Fix not finding weather data and cities
- Fx finding cities with blank space in name
- Version 0.7.1
  Fix crash at startup in clean installation mga#16329
- Version 0.7.0
- Fix bug mga#16289

* Mon May 11 2015 dglent <dglent> 0.6.0-1.mga5
+ Revision: 821718
- Version 0.6.0

* Mon Feb 09 2015 dglent <dglent> 0.5.0-1.mga5
+ Revision: 814230
- Version 0.5.0

* Sun Jan 25 2015 dglent <dglent> 0.4.3-1.mga5
+ Revision: 812172
- Version 0.4.3

* Sun Nov 30 2014 dglent <dglent> 0.3.4-1.mga5
+ Revision: 800018
- Version 0.3.4
- Version 0.3.3
- Version 0.3.1
- Version 0.2.0 (Qt5)

* Sat Oct 25 2014 dglent <dglent> 0.1.0-1.mga5
+ Revision: 793157
- imported package meteo-qt

